最新のHTMLで、ホームページを作ろうと思います。

が、仕様が決定しているのは、HTML4.01が最新で、HTML5は未だ勧告になってないとのこと。

なので、とりあえず、HTML4.01で作ろう思いますが、HTML5が出たら、HTML5にアップデートできますか?
もし、HTML5が出てもスルーして、HTML6やHTML7になったらアップデートしようとした場合、HTML4.01は、2つ前のバージョンだからAdobeみたいにアップデート対象にならず、フルバージョン購入みたいな話になりますか?
あと、HTMLの頭に×が付いてるのがあるそうですが、もう無くなるとのことで、アレはすたれちゃったのですか?
はてなで質問してるのに、Yahoo!知恵袋のページを紹介してる人がいますが、なんなんですか?

もう6月だってのに、肌寒いですね。着るものも無いので、早く暖かくならないかなーと願っています。せめて、MacBook Airでもあれば、なんとかなるのにと毎日を過ごしています。よろしくお願いします。

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2011/05/30 20:26:07
  • 終了:2011/06/04 11:07:40

ベストアンサー

id:TinqWill No.1

TinqWill回答回数71ベストアンサー獲得回数112011/05/30 20:39:16

HTMLは、ソフトではないのでアップデートなどがあるわけではありません。

ただの書き方の企画です。

古いバージョンが使えるかどうかは、ブラウザ(表示ソフト)に依存します。

しかし、廃止されたフレームやフォントタグをブラウザはサポートし続けており、HTML4.01が使えなくなる、ということは無いか、もっとずっと先です。


HTML5は勧告前ですが、だいぶ決まっています。ブラウザの先行対応も進んでいます。

HTML5ではいろいろな要素(タグ)が追加され、javascriptでできることも高度になりました。しかし、古いブラウザでは使えません。現在だと、IE8以前が使えません。すなわち、WindowsXPを使っている人でIEを使っている人がHTML5を利用できないのです。

表示が崩れる場合があるので、とりあえずはHTML4.01で作っておけばいいんじゃないでしょうか。HTML5が普及したときに、また考えればいいでしょう。

そもそも、入門サイトの類もHTML4.01のやり方が多いです。HTML5入門は、HTML4.01以前の知識を必要としている場合が多いようです。

id:kana-kana_ceo

早速の丁寧な回答、ありがとうございます。

そうなんですか。アップデートがあるわけではないのですね。僕は、W3Cも、Adobeみたいに悪辣に儲けようと企んでたりするんじゃないかと思って、気が気ではなかったのですが、安心しました。

「古いブラウザでは使えません」とのこと。それは、ちっとも良くないですね!古い4.01なら、新しいブラウザでも使えるから、その方がずーっと良いですね!

ただの書き方の規格(企画じゃないですよね?規格ですよね!)ということは、ひょっとして、ひょっとしてですよ、間違ってるかもしれませんが、HTML4.01で書いた文書の先頭のDTDとかいう文書型宣言をHTML5のモノにすると、最新のHTML5になったり……するわけないですよねー。まさかねー。

そんなズル、通用しないですよねー?

2011/05/30 20:59:47

その他の回答(6件)

id:TinqWill No.1

TinqWill回答回数71ベストアンサー獲得回数112011/05/30 20:39:16ここでベストアンサー

HTMLは、ソフトではないのでアップデートなどがあるわけではありません。

ただの書き方の企画です。

古いバージョンが使えるかどうかは、ブラウザ(表示ソフト)に依存します。

しかし、廃止されたフレームやフォントタグをブラウザはサポートし続けており、HTML4.01が使えなくなる、ということは無いか、もっとずっと先です。


HTML5は勧告前ですが、だいぶ決まっています。ブラウザの先行対応も進んでいます。

HTML5ではいろいろな要素(タグ)が追加され、javascriptでできることも高度になりました。しかし、古いブラウザでは使えません。現在だと、IE8以前が使えません。すなわち、WindowsXPを使っている人でIEを使っている人がHTML5を利用できないのです。

表示が崩れる場合があるので、とりあえずはHTML4.01で作っておけばいいんじゃないでしょうか。HTML5が普及したときに、また考えればいいでしょう。

そもそも、入門サイトの類もHTML4.01のやり方が多いです。HTML5入門は、HTML4.01以前の知識を必要としている場合が多いようです。

id:kana-kana_ceo

早速の丁寧な回答、ありがとうございます。

そうなんですか。アップデートがあるわけではないのですね。僕は、W3Cも、Adobeみたいに悪辣に儲けようと企んでたりするんじゃないかと思って、気が気ではなかったのですが、安心しました。

「古いブラウザでは使えません」とのこと。それは、ちっとも良くないですね!古い4.01なら、新しいブラウザでも使えるから、その方がずーっと良いですね!

ただの書き方の規格(企画じゃないですよね?規格ですよね!)ということは、ひょっとして、ひょっとしてですよ、間違ってるかもしれませんが、HTML4.01で書いた文書の先頭のDTDとかいう文書型宣言をHTML5のモノにすると、最新のHTML5になったり……するわけないですよねー。まさかねー。

そんなズル、通用しないですよねー?

2011/05/30 20:59:47
id:Marine-Blue No.2

Marine-Blue回答回数237ベストアンサー獲得回数122011/05/30 22:24:48

未対応ブラウザに配慮しつつHTML5を使うと言う方法もあります。

例えば、videoタグやaudioタグは外部のソフトを読み込まないので、objectやembedタグを使った時よりも軽いので、対応環境と未対応環境で振り分けると便利です。


DOCTYPE宣言を変えれば何もしなくていいってことはありませんが、HTML4.01のStrictでコードを書いていた場合、HTML5へ移行するときの修正箇所は少ないです。

教えて!gooで分かりやすく説明している方がいますので、こちらも参考にどうぞ。

http://oshiete.goo.ne.jp/qa/6488221.html

id:kana-kana_ceo

「未対応ブラウザに配慮しつつHTML5を使う」なるほど!それは良いアイデアですね!中途半端に対応してるブラウザが、それぞれシェア0.1%で1,000種類くらいあると、泣きたくなる程、楽しくなりますね!ぜひ、そういう世の中が到来してほしいですね!

あっ!Yahoo!知恵袋じゃなくても、詳しい人がいるんですね!gooも捨てたもんじゃないですね!ガンバレ、goo!

……あれぇ?OKWaveにも、それと同じ質問がありますよ?

http://okwave.jp/qa/q6488221.html

無断転載良くないですね!ぷんぷん。

2011/05/31 00:45:25
id:miyake_ryutaro No.3

miyake_ryutaro回答回数4ベストアンサー獲得回数02011/05/31 00:23:39

最新のHTMLですか。仕様は策定された瞬間からどんどん古くなって行くので、いっその事HTML 20.01でもでっち上げてお使いになったら何うでしょう。ちょっとXMLの作法を取り入れて俺様定義すれば良いのです。やっている事はHTML5でも同じですので難しくはありません。これで誰も使った事がない「最新のHTML」があなたの物に。

アップデートは自分でやればおっけー。でっち上げたHTML 20.01を20.02にするだけ。簡単ですね。こんなのに大した意味はないので適当にどうぞ。フルバージョン購入とか一切ナシ。

尚、新旧を問わずどんなブラウザでも確実に、という事でしたらマークアップなんて余計な事をしないのが一番。つまりプレーンテキストが最も汎用性があります。仕様がどんなに変わろうと関係ありません。おそらく50年後でも通用します。伝えるべき内容は確実に後世へ伝える事ができます。

id:kana-kana_ceo

「これで誰も使った事がない『最新のHTML』があなたの物に」やったー!「もしHTMLじゃなかったら、そんなのSGMLじゃないんです」みたいな、かっこいいキャッチコピーですね!DTDを作って、最新バージョンになろう、どうぞご利用ください。みたいな。

いっそ、マーク付けをやめて、プレーンテキスト!いいですね!プレーンテキストなら、ストレートに伝わりますね!

で、50年後でも通用すると思ったら、28年後くらいに、国語国字改革とか、国語審議会とかが現れて、現代かな使いが旧かなづかいに変わって、読み辛い、うざいとか言われたりして、ホームページが闇黒日記になるかもしれませんね!こわいですね!

それよりも、電気が無くなって、電子データは全てパーになったりしたら、楽しいですね!

でも、そうなったら困りますね。僕は「ホームページ」を作って、「無断リンク禁止」にして、ekkenさんを召還するのが夢なんですから!

2011/05/31 00:57:56
id:miyake_ryutaro No.4

miyake_ryutaro回答回数4ベストアンサー獲得回数02011/05/31 01:21:51

仰る通り、ウェブなんて電気が無ければただのごみ。和紙に墨が最強! とでも書いておこう。ところで誰かを召還するのが夢だったのですか。夢が叶うといいですね。では。

id:kana-kana_ceo

「和紙に墨が最強!」僕もそう思います。今、ちょうど「とめはねっ!」の8巻を読んだところなんですけどね!

でも、紙は、ちょっと不安なので、石に彫るのもいいかなと思って、石工に弟子入りした方がいいのかな、とか思ってます。悩みますね!

ところで、日産のクルマは元気ですか?僕は、最近、クルマに乗らないので、ハイエースのバッテリーが上がってヒーヒー言ってます。ではでは。

2011/05/31 01:45:59
id:Layzie No.5

Layzie回答回数10ベストアンサー獲得回数22011/05/31 01:26:17

カナかなさん…いつもならこういう系の質問には「テキスト最強説」を唱えていらっしゃるのに、Air欲しさにこんな質問なんて!

という事で俺もMacBook Air欲しいです。ありがとうございます!

id:kana-kana_ceo

まあなんていうか、地震で停電を経験して、電子データの儚さがそこはかとなく感じられる季節ですね。

ていうか、MacBook Airは、僕が貰って、暖房器具に使う予定なので、ご了承ください。あらあらかしこ。

2011/05/31 01:52:32
id:miyake_ryutaro No.6

miyake_ryutaro回答回数4ベストアンサー獲得回数02011/05/31 02:31:24

あ、その話? 今の自動車は未だ2年なので、バッテリは一箇月ぐらい乗らなくても大丈夫みたい。前は17年乗っていたので何度かバッテリごと交換した。それと時々用も無いのに走ったりとか。なんせATは押し掛け不可だから。最後はエンジンが壊れたので已むを得ず。

今乗ってゐるのはDOHCなんだけれど、これは何う考えてもいんちき。はったり噛ましてゐるだけ。OHVで十分だと思ってゐる。

ところでハイエースはMT?

id:kana-kana_ceo

ハイエースはATです。中古で譲り受けたので、選択肢は無しだったので。いろいろくたびれてて、廃エースです。

2011/05/31 10:05:39
id:miyake_ryutaro No.7

miyake_ryutaro回答回数4ベストアンサー獲得回数02011/05/31 15:11:48

お大事に。

  • id:kana-kana_ceo
    もうすぐ締め切りになるよって「はてな」からメールが来たので、ベストアンサーを選んで、こっちから終了にしてやりました。おつかれさまでした。
  • id:TinqWill
    ごめんなさい。返信着いたのにきがつかずに流れちゃいましたorz

    ココに書いておきます。


    HTML5は、HTML4.01を拡張したものです。
    なので、間違った書き方や、廃止されるタグを使っていない場合、DOCTYPE宣言変えるだけでHTML5になります。しかし、表示がかわることはあまりないでしょう。
    廃止されるタグは、font、big、uなどが有名どころです。(もともと非推奨や、将来廃止でした)CSSなどで置き換える必要があります。(ただし、対応を続けることでしょう)

    今回は、header、nav、sectionなどなどのタグの追加も行われます。これで大量のdivタグから抜け出せるわけです。
    また、音楽や動画を再生できるaudio、videoも大きな進化です。

    しかし、すべてIE8などが対応していないので、しばらくはdivを使っておいたほうがいいでしょう。私もとりあえずはdivにしてあり、将来IE8が減ったところで改装しようと考えています。audioなどを使う場合、非対応ブラウザではflashを表示して再生できるようにするなどの考慮が必要となってきます。

    こちらも参照してください。
    http://www.htmq.com/htmlkihon/index.shtml

    こちらのような方法で一応対応させることもできます。
    http://www.html5-memo.com/first-html5/html5-001/
  • id:kana-kana_ceo
    「大量のdivタグから抜け出せる」というか、匿名の構造であったものに、名前を付けられるようになった、みたいな印象ですね。

    ていうか、いくつかの増えた要素、今まで無名だった要素に名前がついたわけですが、その利用について、ガイドラインていうか、共通の了解みたいなものが、マーク付けする人に存在すれば、ユーザスタイルシート等の利用促進に繋がる!みたいな期待もあるんですけど、割と、謎マーク付け(でもValid!)が横行するような気がして、そんなに未来は明るくないよ、みたいな気持ちです。

    なので、はてなは私にMacBook Airをプレゼントするべきです。断固!

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません